ReportingPlugin (Resource Manager CL 1.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.resourcemanager.client.plugins

## Class ReportingPlugin

- java.lang.Object
- - org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin<RMReportingServiceJAXWSStubs,RMReportingLibrary>
  - - org.gcube.vremanagement.resourcemanager.client.plugins.ReportingPlugin

- All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,RMReportingServiceJAXWSStubs,RMReportingLibrary>, org.gcube.common.clients.fw.plugin.Plugin<RMReportingServiceJAXWSStubs,RMReportingLibrary>

      public class ReportingPlugin
      extends AbstractPlugin<RMReportingServiceJAXWSStubs,RMReportingLibrary>

  Author:
    Andrea Manzi(CERN)

- - ### Field Summary

    - ### Fields inherited from class org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportingPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `namespace()`
    `RMReportingLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<RMReportingServiceJAXWSStubs> delegate)`
    `RMReportingServiceJAXWSStubs` | `resolve(EndpointReference reference, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

    - ### Methods inherited from class org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin

      `convert, name, serviceClass, serviceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportingPlugin

          public ReportingPlugin()

  - ### Method Detail

    - #### resolve

          public RMReportingServiceJAXWSStubs resolve(EndpointReference reference,
                                             org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                               throws Exception

      Throws:
        `Exception`

    - #### newProxy

          public RMReportingLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<RMReportingServiceJAXWSStubs> delegate)

    - #### namespace

          public String namespace()

Copyright © 2015. All Rights Reserved.